#include<bits/stdc++.h>

using namespace std;

/* prva i druga grupa primera */

int main() {
    string t;
    string s;
    cin >> t;
    cin >> s;
    int alen = s.length();
    int acnt = 0;
    for(int i=0;i<t.length();i++) {
        if(t[i]=='a') acnt++;
    }
    int i=0;
    while(acnt>=alen) {
        if(t[i]=='a') {
            t[i] = '*';
            acnt--;
        }
        i++;
    }
    cout << t;
    return 0;
}